DBWRAP_TOOL(1)

NAME
dbwrap_tool - low level TDB/CTDB manipulation tool using the dbwrap interface

SYNOPSIS

dbwrap_tool [--persistent] [--non-persistent] [-d <debug level>] [-s <config file>] [-l <log file base>] [-V] [--option=<name>=<value>] {<database>} {<operation>} [<key> [<type> [<value>]]]

DESCRIPTION

This tool is part of the samba(7) suite.

The dbwrap_tool program is used to read and manipulate TDB/CTDB databases using the dbwrap interface.

The following database operations are available:

    • fetch: fetch a record

    • store: create or modify a record

    • delete: remove a record

    • exists: test for existence of a record

    • erase: remove all records

    • listkeys: list all available records

    • listwatchers: list processes, which are waiting for changes in a record

The following types are available:

    • int32: signed 32bit integer

    • uint32: unsigned 32bit integer

    • string: "hello world"

    • hex: hex strings like "68656C6C6F20776F726C6400" ("hello world")

OPTIONS

--persistent
    Open the database as a persistent database.

    Exactly one of --persistent and --non-persistent must be specified.

--non-persistent
    Open the database as a non-persistent database.

    Caveat: opening a database as non-persistent when there is currently no other opener will wipe the database.

    Exactly one of --persistent and --non-persistent must be specified.

COMMANDS

  fetch

dbwrap_tool <database> fetch <key> <type>

  store

dbwrap_tool <database> store <key> <type> <value>

  delete

dbwrap_tool <database> delete <key>

  exists

dbwrap_tool <database> exists <key>

  erase

dbwrap_tool <database> erase

  listkeys

dbwrap_tool <database> listkeys

  listwatchers

dbwrap_tool <database> listwatchers

EXAMPLES

List all keys from winbindd_idmap.tdb
    dbwrap_tool --persistent winbindd_idmap.tdb listkeys

Fetch record with key "USER HWM" as uint32
    dbwrap_tool --persistent winbindd_idmap.tdb fetch "USER HWM" uint32

Remove record with key "USER HWM"
    dbwrap_tool --persistent winbindd_idmap.tdb remove "USER HWM"

Store and overwrite record "USER HWM" with value 214
    uint32: dbwrap_tool --persistent winbindd_idmap.tdb store "USER HWM" uint32 214 hex: dbwrap_tool --persistent winbindd_idmap.tdb store "USER HWM" hex D6000000

NOTES

Use with caution!

VERSION

This man page is correct for version 3 of the Samba suite.

SEE ALSO

smbd(8), samba(7)

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The dbwrap_tool manpage was written by Bjoern Baumbach.